List API tokens
curl --request GET \
--url https://platform.neural-motion.org/api/v1/users/me/tokens \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.neural-motion.org/api/v1/users/me/tokens"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.neural-motion.org/api/v1/users/me/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"name": "<string>",
"preview": "<string>",
"prefix": "<string>",
"suffix": "<string>",
"created_at": "<string>",
"scopes": [
"<string>"
],
"last_used_at": "<string>",
"revoked_at": "<string>",
"expires_at": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Users and tokens
List API tokens
GET
/
api
/
v1
/
users
/
me
/
tokens
List API tokens
curl --request GET \
--url https://platform.neural-motion.org/api/v1/users/me/tokens \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.neural-motion.org/api/v1/users/me/tokens"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.neural-motion.org/api/v1/users/me/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"name": "<string>",
"preview": "<string>",
"prefix": "<string>",
"suffix": "<string>",
"created_at": "<string>",
"scopes": [
"<string>"
],
"last_used_at": "<string>",
"revoked_at": "<string>",
"expires_at": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Clerk session JWT only. Personal access tokens (nmp_) are rejected with 403 — used for token management and other human-session mutations.
Headers
Response
Successful Response
Show child attributes
Show child attributes
⌘I

